<id>
Enhanced text colors (Dark Background)
</id>

<version>
1.0SP1.2SP1.3
</version>

<mod info>
Written for and tested on SP1.2 and 1.3 but will probably work on earlier versions.

The default list of colors is primarily geared towards a board with a light background. This mod has 2 files - Enhancedcolorlight10.mod for light colored backgrounds and Enhancedcolordark10.mod for dark colored backgrounds. Only apply the mod that fits your board.

This mod adds more colors to the text color drop down menu and displays what those colors will look like in the drop down menu.

Directions:
Apply mod per BoardMod FAQ
Upload english.lng to your YaBB directory in ASCII mode.
Upload Post.pl to your Sources directory in ASCII mode.
</mod info>

<author>
Seawolf
</author>

<homepage>
http://www.webappeal.com
</homepage>

<edit file>
Sources/Post.pl
</edit file>

<search for>
        <select name="color" onChange="showcolor(this.options[this.selectedIndex].value)">
         <option value="Black" selected>$txt{'262'}</option>
         <option value="Red">$txt{'263'}</option>
         <option value="Yellow">$txt{'264'}</option>
         <option value="Pink">$txt{'265'}</option>
         <option value="Green">$txt{'266'}</option>
         <option value="Orange">$txt{'267'}</option>
         <option value="Purple">$txt{'268'}</option>
         <option value="Blue">$txt{'269'}</option>
         <option value="Beige">$txt{'270'}</option>
         <option value="Brown">$txt{'271'}</option>
         <option value="Teal">$txt{'272'}</option>
         <option value="Navy">$txt{'273'}</option>
         <option value="Maroon">$txt{'274'}</option>
         <option value="LimeGreen">$txt{'275'}</option>
        </select>
</search for>

<replace>
        <select name="color" onChange="showcolor(this.options[this.selectedIndex].value)">
         <option value="White" selected>$txt{'262'}</option>
         <option value="Red" style="color:#FF0000">$txt{'263'}</option>
         <option value="Yellow" style="color:#FFFF00">$txt{'264'}</option>
         <option value="Pink" style="color:#FFC0CB">$txt{'265'}</option>
         <option value="Springgreen" style="color:#00FF7F">$txt{'266'}</option>
         <option value="Orange" style="color:#FFA500">$txt{'267'}</option>
         <option value="Aqua" style="color:#00FFFF">$txt{'268'}</option>
         <option value="Fuchsia" style="color:#FF00FF">$txt{'269'}</option>
         <option value="Beige" style="color:#F5F5DC">$txt{'270'}</option>
         <option value="Brown" style="color:#A52A2A">$txt{'271'}</option>
         <option value="Lemonchiffon" style="color:#FFFACD">$txt{'272'}</option>
         <option value="Gold" style="color:#FFD700">$txt{'273'}</option>
         <option value="Turquoise" style="color:#40E0D0">$txt{'274'}</option>
         <option value="Lime" style="color:#00FF00">$txt{'275'}</option>
         <option value="Aquamarine" style="color:#7FFFD4">$txt{'275a'}</option>
         <option value="Azure" style="color:#F0FFFF">$txt{'275b'}</option>
         <option value="Chartreuse" style="color:#7FFF00">$txt{'275c'}</option>
         <option value="Coral" style="color:#FF7F50">$txt{'275d'}</option>
         <option value="Crimson" style="color:#DC143C">$txt{'275e'}</option>
         <option value="Magenta" style="color:#FF00FF">$txt{'275f'}</option>
         <option value="Mistyrose" style="color:#FFE4E1">$txt{'275g'}</option>
         <option value="Plum" style="color:#DDA0DD">$txt{'275h'}</option>
         <option value="Wheat" style="color:#F5DEB3">$txt{'275i'}</option>
         <option value="Paleturquoise" style="color:#AFEEEE">$txt{'275j'}</option>
        </select>
</replace>

<edit file>
english.lng
</edit file>

<search for>
$txt{'262'} = "Black";
$txt{'263'} = "Red";
$txt{'264'} = "Yellow";
$txt{'265'} = "Pink";
$txt{'266'} = "Green";
$txt{'267'} = "Orange";
$txt{'268'} = "Purple";
$txt{'269'} = "Blue";
$txt{'270'} = "Beige";
$txt{'271'} = "Brown";
$txt{'272'} = "Teal";
$txt{'273'} = "Navy";
$txt{'274'} = "Maroon";
$txt{'275'} = "Lime Green";
</search for>

<replace>
$txt{'262'} = "White";
$txt{'263'} = "Red";
$txt{'264'} = "Yellow";
$txt{'265'} = "Pink";
$txt{'266'} = "Spring Green";
$txt{'267'} = "Orange";
$txt{'268'} = "Aqua";
$txt{'269'} = "Fuchsia";
$txt{'270'} = "Beige";
$txt{'271'} = "Brown";
$txt{'272'} = "Lemon Chiffon";
$txt{'273'} = "Gold";
$txt{'274'} = "Turquoise";
$txt{'275'} = "Lime";
$txt{'275a'} = "Aquamarine";
$txt{'275b'} = "Azure";
$txt{'275c'} = "Chartreuse";
$txt{'275d'} = "Coral";
$txt{'275e'} = "Crimson";
$txt{'275f'} = "Magenta";
$txt{'275g'} = "Mistyrose";
$txt{'275h'} = "Plum";
$txt{'275i'} = "Wheat";
$txt{'275j'} = "Pale Turquoise";
</replace>